>From f36b8d0459ce2cbd67e075637adf209e4085d8a2 Mon Sep 17 00:00:00 2001
From: Michal Zidek <mzidek@redhat.com>
Date: Thu, 24 Apr 2014 17:26:37 +0200
Subject: [PATCH] Use sss_strerror instead of strerror.

---
 Makefile.am                                        | 11 ++--
 src/confdb/confdb.c                                | 18 +++---
 src/confdb/confdb_setup.c                          |  2 +-
 src/db/sysdb.c                                     |  2 +-
 src/db/sysdb_autofs.c                              | 22 +++----
 src/db/sysdb_idmap.c                               |  2 +-
 src/db/sysdb_ops.c                                 | 68 +++++++++++-----------
 src/db/sysdb_ranges.c                              |  2 +-
 src/db/sysdb_search.c                              |  4 +-
 src/db/sysdb_selinux.c                             |  9 +--
 src/db/sysdb_services.c                            | 13 +++--
 src/db/sysdb_ssh.c                                 | 20 ++++---
 src/db/sysdb_sudo.c                                |  8 +--
 src/monitor/monitor.c                              |  2 +-
 src/monitor/monitor_sbus.c                         |  4 +-
 src/providers/ad/ad_common.c                       | 14 ++---
 src/providers/ad/ad_id.c                           |  6 +-
 src/providers/ad/ad_init.c                         | 16 ++---
 src/providers/ad/ad_srv.c                          |  2 +-
 src/providers/ad/ad_subdomains.c                   | 12 ++--
 src/providers/ad/ad_sudo.c                         |  2 +-
 src/providers/data_provider_be.c                   |  8 +--
 src/providers/dp_auth_util.c                       |  4 +-
 src/providers/dp_pam_data_util.c                   |  2 +-
 src/providers/fail_over_srv.c                      |  2 +-
 src/providers/ipa/ipa_access.c                     |  9 +--
 src/providers/ipa/ipa_auth.c                       |  4 +-
 src/providers/ipa/ipa_hbac_common.c                |  7 ++-
 src/providers/ipa/ipa_hbac_services.c              |  3 +-
 src/providers/ipa/ipa_hosts.c                      |  2 +-
 src/providers/ipa/ipa_init.c                       | 17 +++---
 src/providers/ipa/ipa_selinux.c                    |  8 +--
 src/providers/ipa/ipa_subdomains.c                 |  4 +-
 src/providers/ipa/ipa_subdomains_ext_groups.c      | 10 ++--
 src/providers/ipa/ipa_subdomains_id.c              |  4 +-
 src/providers/ipa/ipa_sudo.c                       |  2 +-
 src/providers/krb5/krb5_access.c                   |  2 +-
 src/providers/krb5/krb5_auth.c                     | 16 ++---
 src/providers/krb5/krb5_child.c                    |  4 +-
 src/providers/krb5/krb5_common.c                   |  4 +-
 .../krb5/krb5_delayed_online_authentication.c      |  4 +-
 src/providers/krb5/krb5_init.c                     |  2 +-
 src/providers/krb5/krb5_init_shared.c              |  2 +-
 src/providers/krb5/krb5_utils.c                    |  4 +-
 src/providers/ldap/ldap_child.c                    |  4 +-
 src/providers/ldap/ldap_common.c                   |  2 +-
 src/providers/ldap/ldap_id.c                       |  2 +-
 src/providers/ldap/ldap_id_cleanup.c               |  2 +-
 src/providers/ldap/ldap_init.c                     | 18 +++---
 src/providers/ldap/sdap.c                          |  2 +-
 src/providers/ldap/sdap_access.c                   |  3 +-
 src/providers/ldap/sdap_async.c                    | 15 +++--
 src/providers/ldap/sdap_async_autofs.c             | 18 +++---
 src/providers/ldap/sdap_async_connection.c         |  2 +-
 src/providers/ldap/sdap_async_enum.c               |  2 +-
 src/providers/ldap/sdap_async_groups_ad.c          |  8 +--
 src/providers/ldap/sdap_async_initgroups.c         | 51 ++++++++--------
 src/providers/ldap/sdap_async_nested_groups.c      | 24 ++++----
 src/providers/ldap/sdap_async_services.c           | 14 ++---
 src/providers/ldap/sdap_async_sudo.c               | 14 +++--
 src/providers/ldap/sdap_async_sudo_hostinfo.c      | 11 ++--
 src/providers/ldap/sdap_async_users.c              |  4 +-
 src/providers/ldap/sdap_autofs.c                   |  4 +-
 src/providers/ldap/sdap_child_helpers.c            |  5 +-
 src/providers/ldap/sdap_domain.c                   |  4 +-
 src/providers/ldap/sdap_dyndns.c                   |  2 +-
 src/providers/ldap/sdap_id_op.c                    |  7 ++-
 src/providers/ldap/sdap_idmap.c                    |  6 +-
 src/providers/ldap/sdap_reinit.c                   |  6 +-
 src/providers/ldap/sdap_sudo.c                     | 39 +++++++------
 src/providers/ldap/sdap_sudo_cache.c               |  6 +-
 src/providers/ldap/sdap_utils.c                    |  2 +-
 src/providers/proxy/proxy_auth.c                   |  2 +-
 src/providers/proxy/proxy_child.c                  |  2 +-
 src/providers/proxy/proxy_id.c                     | 44 +++++++-------
 src/providers/proxy/proxy_services.c               |  6 +-
 src/python/pysss.c                                 |  2 +-
 src/resolv/async_resolv.c                          |  4 +-
 src/resolv/async_resolv_utils.c                    |  2 +-
 src/responder/autofs/autofssrv.c                   |  2 +-
 src/responder/autofs/autofssrv_cmd.c               | 10 ++--
 src/responder/autofs/autofssrv_dp.c                |  2 +-
 src/responder/common/negcache.c                    | 12 ++--
 src/responder/common/responder_common.c            |  8 +--
 src/responder/common/responder_dp.c                |  2 +-
 src/responder/common/responder_get_domains.c       |  5 +-
 src/responder/nss/nsssrv_cmd.c                     | 22 +++----
 src/responder/nss/nsssrv_mmap_cache.c              |  2 +-
 src/responder/nss/nsssrv_netgroup.c                | 11 ++--
 src/responder/nss/nsssrv_services.c                | 12 ++--
 src/responder/pac/pacsrv_cmd.c                     |  8 +--
 src/responder/pam/pamsrv.c                         |  2 +-
 src/responder/ssh/sshsrv.c                         |  4 +-
 src/responder/ssh/sshsrv_cmd.c                     |  2 +-
 src/responder/ssh/sshsrv_dp.c                      |  2 +-
 src/responder/sudo/sudosrv.c                       |  2 +-
 src/responder/sudo/sudosrv_cmd.c                   |  6 +-
 src/responder/sudo/sudosrv_dp.c                    |  4 +-
 src/responder/sudo/sudosrv_get_sudorules.c         | 26 +++++----
 src/responder/sudo/sudosrv_query.c                 |  2 +-
 src/tools/sss_groupadd.c                           |  5 +-
 src/tools/sss_groupdel.c                           |  4 +-
 src/tools/sss_groupshow.c                          | 18 +++---
 src/tools/sss_seed.c                               |  8 +--
 src/tools/sss_sync_ops.c                           |  4 +-
 src/tools/sss_useradd.c                            | 12 ++--
 src/tools/sss_userdel.c                            |  8 +--
 src/tools/sss_usermod.c                            |  2 +-
 src/tools/tools_mc_util.c                          |  2 +-
 src/util/child_common.c                            |  2 +-
 src/util/server.c                                  | 14 ++---
 111 files changed, 481 insertions(+), 446 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 8d3d366..f95c1f2 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1290,7 +1290,7 @@ resolv_tests_LDADD = \
     $(SSSD_LIBS) \
     $(CHECK_LIBS) \
     $(CARES_LIBS) \
-    libsss_debug.la \
+    $(SSSD_INTERNAL_LTLIBS) \
     libsss_test_common.la
 
 refcount_tests_SOURCES = \
@@ -2347,12 +2347,13 @@ krb5_child_CFLAGS = \
     $(POPT_CFLAGS) \
     $(KRB5_CFLAGS)
 krb5_child_LDADD = \
-    libsss_debug.la \
     $(TALLOC_LIBS) \
     $(POPT_LIBS) \
     $(DHASH_LIBS) \
     $(KRB5_LIBS) \
-    $(CLIENT_LIBS)
+    $(CLIENT_LIBS) \
+    $(SSSD_INTERNAL_LTLIBS) \
+    $(NULL)
 
 ldap_child_SOURCES = \
     src/providers/ldap/ldap_child.c \
@@ -2370,7 +2371,9 @@ ldap_child_LDADD = \
     $(TALLOC_LIBS) \
     $(POPT_LIBS) \
     $(DHASH_LIBS) \
-    $(KRB5_LIBS)
+    $(KRB5_LIBS) \
+    $(SSSD_INTERNAL_LTLIBS) \
+    $(NULL)
 
 gpo_child_SOURCES = \
     src/providers/ad/ad_gpo_child.c \
diff --git a/src/confdb/confdb.c b/src/confdb/confdb.c
index 674a2c4..d693aa0 100644
--- a/src/confdb/confdb.c
+++ b/src/confdb/confdb.c
@@ -212,7 +212,7 @@ done:
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Failed to add [%s] to [%s], error [%d] (%s)\n",
-                  attribute, section, ret, strerror(ret));
+                  attribute, section, ret, sss_strerror(ret));
     }
     return ret;
 }
@@ -289,7 +289,7 @@ done:
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Failed to get [%s] from [%s], error [%d] (%s)\n",
-                  attribute, section, ret, strerror(ret));
+                  attribute, section, ret, sss_strerror(ret));
     }
     return ret;
 }
@@ -364,7 +364,7 @@ done:
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Failed to set [%s] from [%s], error [%d] (%s)\n",
-               attribute, section, ret, strerror(ret));
+               attribute, section, ret, sss_strerror(ret));
     }
     return ret;
 }
@@ -485,7 +485,7 @@ failed:
     talloc_free(values);
     DEBUG(SSSDBG_CRIT_FAILURE,
           "Failed to get [%s] from [%s], error [%d] (%s)\n",
-              attribute, section, ret, strerror(ret));
+              attribute, section, ret, sss_strerror(ret));
     return ret;
 }
 
@@ -541,7 +541,7 @@ failed:
     talloc_free(tmp_ctx);
     DEBUG(SSSDBG_CRIT_FAILURE,
           "Failed to read [%s] from [%s], error [%d] (%s)\n",
-              attribute, section, ret, strerror(ret));
+              attribute, section, ret, sss_strerror(ret));
     return ret;
 }
 
@@ -592,7 +592,7 @@ failed:
     talloc_free(tmp_ctx);
     DEBUG(SSSDBG_CRIT_FAILURE,
           "Failed to read [%s] from [%s], error [%d] (%s)\n",
-              attribute, section, ret, strerror(ret));
+              attribute, section, ret, sss_strerror(ret));
     return ret;
 }
 
@@ -649,7 +649,7 @@ failed:
     talloc_free(tmp_ctx);
     DEBUG(SSSDBG_CRIT_FAILURE,
           "Failed to read [%s] from [%s], error [%d] (%s)\n",
-              attribute, section, ret, strerror(ret));
+              attribute, section, ret, sss_strerror(ret));
     return ret;
 }
 
@@ -686,7 +686,7 @@ done:
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_OP_FAILURE,
               "Failed to get [%s] from [%s], error [%d] (%s)\n",
-                  attribute, section, ret, strerror(ret));
+                  attribute, section, ret, sss_strerror(ret));
     }
     return ret;
 }
@@ -1323,7 +1323,7 @@ int confdb_get_domains(struct confdb_ctx *cdb,
         if (ret) {
             DEBUG(SSSDBG_FATAL_FAILURE,
                   "Error (%d [%s]) retrieving domain [%s], skipping!\n",
-                      ret, strerror(ret), domlist[i]);
+                      ret, sss_strerror(ret), domlist[i]);
             continue;
         }
 
diff --git a/src/confdb/confdb_setup.c b/src/confdb/confdb_setup.c
index 857725f..f172d9c 100644
--- a/src/confdb/confdb_setup.c
+++ b/src/confdb/confdb_setup.c
@@ -157,7 +157,7 @@ int confdb_init_db(const char *config_file, struct confdb_ctx *cdb)
     ret = sss_ini_config_file_open(init_data, config_file);
     if (ret != EOK) {
         DEBUG(SSSDBG_TRACE_FUNC,
-              "sss_ini_config_file_open failed: %s [%d]\n", strerror(ret),
+              "sss_ini_config_file_open failed: %s [%d]\n", sss_strerror(ret),
                ret);
         if (ret == ENOENT) {
             /* sss specific error denoting missing configuration file */
diff --git a/src/db/sysdb.c b/src/db/sysdb.c
index 626ec0d..3b1f250 100644
--- a/src/db/sysdb.c
+++ b/src/db/sysdb.c
@@ -1723,7 +1723,7 @@ done:
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Could not determine primary name: [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
     }
     talloc_free(tmp_ctx);
     return ret;
diff --git a/src/db/sysdb_autofs.c b/src/db/sysdb_autofs.c
index 218e9c0..c18320a 100644
--- a/src/db/sysdb_autofs.c
+++ b/src/db/sysdb_autofs.c
@@ -125,28 +125,28 @@ sysdb_save_autofsmap(struct sss_domain_info *domain,
                                  SYSDB_AUTOFS_MAP_OC);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set map object class [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_AUTOFS_MAP_NAME, autofsmapname);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set map name [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_NAME, name);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set name attribute [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
     ret = sysdb_attrs_add_time_t(attrs, SYSDB_LAST_UPDATE, now);
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set sysdb lastUpdate [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
@@ -155,14 +155,14 @@ sysdb_save_autofsmap(struct sss_domain_info *domain,
                                   (now + cache_timeout) : 0));
     if (ret) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set sysdb cache expire [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
     ret = sysdb_store_custom(domain, name, AUTOFS_MAP_SUBDIR, attrs);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "sysdb_store_custom failed [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
@@ -206,7 +206,7 @@ sysdb_get_map_byname(TALLOC_CTX *mem_ctx,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "Cannot sanitize map [%s] error [%d]: %s\n",
-               map_name, ret, strerror(ret));
+               map_name, ret, sss_strerror(ret));
         goto done;
     }
 
@@ -276,21 +276,21 @@ sysdb_save_autofsentry(struct sss_domain_info *domain,
                                  SYSDB_AUTOFS_ENTRY_OC);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set entry object class [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_AUTOFS_ENTRY_KEY, key);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set entry key [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
     ret = sysdb_attrs_add_string(attrs, SYSDB_AUTOFS_ENTRY_VALUE, value);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set entry key [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
@@ -303,7 +303,7 @@ sysdb_save_autofsentry(struct sss_domain_info *domain,
     ret = sysdb_attrs_add_string(attrs, SYSDB_NAME, name);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set name attribute [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/db/sysdb_idmap.c b/src/db/sysdb_idmap.c
index 7d34267..14e4fdf 100644
--- a/src/db/sysdb_idmap.c
+++ b/src/db/sysdb_idmap.c
@@ -257,7 +257,7 @@ sysdb_idmap_store_mapping(struct sss_domain_info *domain,
     ret = sysdb_transaction_commit(domain->sysdb);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              "Could not commit transaction: [%s]\n", strerror(ret));
+              "Could not commit transaction: [%s]\n", sss_strerror(ret));
         goto done;
     }
     in_transaction = false;
diff --git a/src/db/sysdb_ops.c b/src/db/sysdb_ops.c
index 252097f..5690dbb 100644
--- a/src/db/sysdb_ops.c
+++ b/src/db/sysdb_ops.c
@@ -222,7 +222,7 @@ int sysdb_delete_recursive(struct sysdb_ctx *sysdb,
         }
         if (ret) {
             DEBUG(SSSDBG_TRACE_FUNC, "Search error: %d (%s)\n",
-                                     ret, strerror(ret));
+                                     ret, sss_strerror(ret));
         }
         goto done;
     }
@@ -346,7 +346,7 @@ done:
         DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
 
     talloc_zfree(tmp_ctx);
@@ -410,7 +410,7 @@ done:
         DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -466,7 +466,7 @@ done:
         DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
 
     talloc_zfree(tmp_ctx);
@@ -585,7 +585,7 @@ done:
         DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -641,7 +641,7 @@ done:
         DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
 
     talloc_zfree(tmp_ctx);
@@ -701,7 +701,7 @@ done:
         DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -763,7 +763,7 @@ done:
         DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -1027,7 +1027,7 @@ done:
         ldb_transaction_cancel(domain->sysdb->ldb);
     }
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -1107,7 +1107,7 @@ int sysdb_add_basic_user(struct sss_domain_info *domain,
 
 done:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -1438,7 +1438,7 @@ done:
         ret = ldb_transaction_commit(domain->sysdb->ldb);
         ret = sysdb_error_to_errno(ret);
     } else {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
         ldb_transaction_cancel(domain->sysdb->ldb);
     }
     talloc_zfree(tmp_ctx);
@@ -1490,7 +1490,7 @@ int sysdb_add_basic_group(struct sss_domain_info *domain,
 
 done:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -1642,7 +1642,7 @@ done:
         ret = ldb_transaction_commit(domain->sysdb->ldb);
         ret = sysdb_error_to_errno(ret);
     } else {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
         ldb_transaction_cancel(domain->sysdb->ldb);
     }
     talloc_zfree(tmp_ctx);
@@ -1704,7 +1704,7 @@ int sysdb_add_incomplete_group(struct sss_domain_info *domain,
 
 done:
     if (ret != EOK) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -1748,7 +1748,7 @@ int sysdb_mod_group_member(struct sss_domain_info *domain,
 
 fail:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(msg);
     return ret;
@@ -1796,7 +1796,7 @@ int sysdb_add_basic_netgroup(struct sss_domain_info *domain,
 
 done:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(msg);
     return ret;
@@ -1870,7 +1870,7 @@ done:
     }
 
     if (ret != EOK) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
         ldb_transaction_cancel(domain->sysdb->ldb);
     }
     talloc_zfree(tmp_ctx);
@@ -2041,7 +2041,7 @@ fail:
     }
 
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2074,7 +2074,7 @@ int sysdb_store_group(struct sss_domain_info *domain,
     if (ret && ret != ENOENT) {
         DEBUG(SSSDBG_MINOR_FAILURE,
               "sysdb_search_group_by_name failed for %s with: [%d][%s].\n",
-              name, ret, strerror(ret));
+              name, ret, sss_strerror(ret));
         goto done;
     }
     if (ret == ENOENT) {
@@ -2165,7 +2165,7 @@ int sysdb_store_group(struct sss_domain_info *domain,
 
 done:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2300,7 +2300,7 @@ int sysdb_cache_password(struct sss_domain_info *domain,
 
 fail:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2497,7 +2497,7 @@ int sysdb_store_custom(struct sss_domain_info *domain,
 
 done:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
         ldb_transaction_cancel(domain->sysdb->ldb);
     } else {
         ret = ldb_transaction_commit(domain->sysdb->ldb);
@@ -2642,7 +2642,7 @@ fail:
         DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2700,7 +2700,7 @@ fail:
         DEBUG(SSSDBG_TRACE_INTERNAL, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2804,7 +2804,7 @@ int sysdb_delete_user(struct sss_domain_info *domain,
     return EOK;
 
 fail:
-    DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+    DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     talloc_zfree(tmp_ctx);
     return ret;
 }
@@ -2862,7 +2862,7 @@ fail:
         DEBUG(SSSDBG_TRACE_INTERNAL, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2920,7 +2920,7 @@ int sysdb_delete_group(struct sss_domain_info *domain,
     return EOK;
 
 fail:
-    DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+    DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     talloc_zfree(tmp_ctx);
     return ret;
 }
@@ -2975,7 +2975,7 @@ fail:
     if (ret == ENOENT) {
         DEBUG(SSSDBG_TRACE_FUNC, "Entry not found\n");
     } else {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -3001,7 +3001,7 @@ int sysdb_delete_netgroup(struct sss_domain_info *domain,
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_TRACE_FUNC,
               "sysdb_search_netgroup_by_name failed: %d (%s)\n",
-                   ret, strerror(ret));
+                   ret, sss_strerror(ret));
         goto done;
     } else if (ret == ENOENT) {
         DEBUG(SSSDBG_TRACE_FUNC,
@@ -3017,7 +3017,7 @@ int sysdb_delete_netgroup(struct sss_domain_info *domain,
 
 done:
     if (ret != EOK) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_free(tmp_ctx);
     return ret;
@@ -3041,7 +3041,7 @@ int sysdb_delete_by_sid(struct sysdb_ctx *sysdb,
     ret = sysdb_search_object_by_sid(tmp_ctx, domain, sid_str, NULL, &res);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "search by sid failed: %d (%s)\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         goto done;
     }
 
@@ -3065,7 +3065,7 @@ int sysdb_delete_by_sid(struct sysdb_ctx *sysdb,
 
 done:
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_free(tmp_ctx);
     return ret;
@@ -3212,7 +3212,7 @@ int sysdb_cache_auth(struct sss_domain_info *domain,
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
               "sysdb_search_user_by_name failed [%d][%s].\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         if (ret == ENOENT) ret = ERR_ACCOUNT_UNKNOWN;
         goto done;
     }
@@ -3591,7 +3591,7 @@ done:
     if (ret == ENOENT) {
         DEBUG(SSSDBG_TRACE_FUNC, "No such entry.\n");
     } else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
 
     talloc_zfree(tmp_ctx);
diff --git a/src/db/sysdb_ranges.c b/src/db/sysdb_ranges.c
index 431afd1..ba37a99 100644
--- a/src/db/sysdb_ranges.c
+++ b/src/db/sysdb_ranges.c
@@ -251,7 +251,7 @@ errno_t sysdb_range_create(struct sysdb_ctx *sysdb, struct range_info *range)
 
 done:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
diff --git a/src/db/sysdb_search.c b/src/db/sysdb_search.c
index ff14c4a..dcc1fba 100644
--- a/src/db/sysdb_search.c
+++ b/src/db/sysdb_search.c
@@ -391,7 +391,7 @@ int sysdb_initgroups(TALLOC_CTX *mem_ctx,
     ret = sysdb_getpwnam(tmp_ctx, domain, name, &res);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE, "sysdb_getpwnam failed: [%d][%s]\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
@@ -946,7 +946,7 @@ errno_t sysdb_get_direct_parents(TALLOC_CTX *mem_ctx,
         direct_sysdb_count = 0;
     } else if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "sysdb_search_entry failed: [%d]: %s\n",
-                  ret, strerror(ret));
+                  ret, sss_strerror(ret));
         goto done;
     }
 
diff --git a/src/db/sysdb_selinux.c b/src/db/sysdb_selinux.c
index 2dbbb75..c57004d 100644
--- a/src/db/sysdb_selinux.c
+++ b/src/db/sysdb_selinux.c
@@ -54,7 +54,7 @@ sysdb_add_selinux_entity(struct sysdb_ctx *sysdb,
     ret = sysdb_attrs_add_string(attrs, SYSDB_OBJECTCLASS, objectclass);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE, "Could not set map object class [%d]: %s\n",
-              ret, strerror(ret));
+              ret, sss_strerror(ret));
         return ret;
     }
 
@@ -74,7 +74,7 @@ sysdb_add_selinux_entity(struct sysdb_ctx *sysdb,
 
 done:
     if (ret) {
-        DEBUG(SSSDBG_TRACE_LIBS, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_LIBS, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -172,7 +172,8 @@ done:
     }
 
     if (ret) {
-        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret,
+              sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -319,7 +320,7 @@ done:
     if (ret == ENOENT) {
         DEBUG(SSSDBG_TRACE_FUNC, "No SELinux root entry found\n");
     } else if (ret) {
-        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_TRACE_FUNC, "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
 
     talloc_free(tmp_ctx);
diff --git a/src/db/sysdb_services.c b/src/db/sysdb_services.c
index 5f2315e..84c418d 100644
--- a/src/db/sysdb_services.c
+++ b/src/db/sysdb_services.c
@@ -385,7 +385,7 @@ sysdb_store_service(struct sss_domain_info *domain,
         if (ret != EOK) {
             DEBUG(SSSDBG_MINOR_FAILURE,
                   "Could not remove missing attributes: [%s]\n",
-                   strerror(ret));
+                   sss_strerror(ret));
             goto done;
         }
     }
@@ -522,7 +522,7 @@ sysdb_svc_add(TALLOC_CTX *mem_ctx,
 done:
     if (ret) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              "Error: %d (%s)\n", ret, strerror(ret));
+              "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_free(tmp_ctx);
     return ret;
@@ -595,7 +595,7 @@ sysdb_svc_update(struct sysdb_ctx *sysdb,
 done:
     if (ret) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              "Error: %d (%s)\n", ret, strerror(ret));
+              "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_free(msg);
     return ret;
@@ -628,7 +628,7 @@ sysdb_svc_remove_alias(struct sysdb_ctx *sysdb,
 done:
     if (ret) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              "Error: %d (%s)\n", ret, strerror(ret));
+              "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(msg);
     return ret;
@@ -705,7 +705,7 @@ done:
 
     if (ret != EOK && ret != ENOENT) {
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              "Error: %d (%s)\n", ret, strerror(ret));
+              "Error: %d (%s)\n", ret, sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -826,7 +826,8 @@ fail:
         DEBUG(SSSDBG_TRACE_INTERNAL, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret,
+              sss_strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
